package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 是否占用
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum IsUseEnum {
    /**
     *
     */
    IS_AUDIT_NO("0","未占用"),
    IS_AUDIT_YES("1","占用"),

    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (IsUseEnum e : IsUseEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
